%define major   0
%define libname %mklibname %{name} %{major}
%define devname %mklibname %{name} -d

Name:           hiredis
Version:        0.13.3
Release:        %mkrel 2
Summary:        Minimalistic C client library for Redis
Group:          System/Libraries
License:        BSD
URL:            https://github.com/redis/hiredis
Source0:        https://github.com/redis/hiredis/archive/v%{version}/%{name}-%{version}.tar.gz

%description
Hiredis is a minimalistic C client library for the Redis database.

#----------------------------------------------------------------------

%package -n     %{libname}
Summary:        Minimalistic C client library for Redis
Group:          System/Libraries

%description -n %{libname}
Hiredis is a minimalistic C client library for the Redis database.

%files -n       %{libname}
%{_libdir}/lib%{name}.so.%{major}{,.*}

#----------------------------------------------------------------------

%package -n     %{devname}
Summary:        Development files for %{name}
Group:          Development/C
Requires:       %{libname} = %{version}-%{release}
Provides:       %{name}-devel = %{version}-%{release}

%description -n %{devname}
This package contains libraries and header files for
developing applications that use %{name}.

%files -n       %{devname}
%doc README.md COPYING
%{_includedir}/%{name}/
%{_libdir}/lib%{name}.so
%{_libdir}/pkgconfig/%{name}.pc

#----------------------------------------------------------------------

%prep
%setup -q

%build
%setup_compile_flags
%make

%install
%makeinstall_std PREFIX=%{_prefix} LIBRARY_PATH=%{_lib}

# fix pkgconfig file
perl -pi \
    -e 's|^prefix=.*|prefix=%{_prefix}|;' \
    -e 's|^libdir=.*|libdir=%{_libdir}|;' \
    -e 's|^includedir=.*|includedir=%{_includedir}|;' \
    %{buildroot}%{_libdir}/pkgconfig/%{name}.pc

find %{buildroot} -name '*.a' -delete -print


%changelog
* Thu Feb 11 2016 umeabot <umeabot> 0.13.3-2.mga6
+ Revision: 954320
- Mageia 6 Mass Rebuild

* Mon Sep 21 2015 akien <akien> 0.13.3-1.mga6
+ Revision: 882117
- Version 0.13.3

* Sun Sep 13 2015 akien <akien> 0.13.2-1.mga6
+ Revision: 878923
- Version 0.13.2

* Mon Jun 22 2015 guillomovitch <guillomovitch> 0.13.1-1.mga6
+ Revision: 839486
- new version 0.13.1
- fix pkgconfig file

* Tue Jan 27 2015 akien <akien> 0.12.1-1.mga5
+ Revision: 812484
- Version 0.12.1

* Wed Oct 15 2014 umeabot <umeabot> 0.11.0-3.mga5
+ Revision: 739708
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.11.0-2.mga5
+ Revision: 680152
- Mageia 5 Mass Rebuild

* Wed Aug 27 2014 akien <akien> 0.11.0-1.mga5
+ Revision: 668838
- imported package hiredis

